package cn.axzo.msg.center.dal.impl;

import cn.axzo.msg.center.dal.MNSMessageTemplateDao;
import cn.axzo.msg.center.dal.mapper.MNSMessageTemplateMapper;
import cn.axzo.msg.center.domain.entity.MNSMessageTemplate;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * 内部消息模板表 Dao实现类
 * </p>
 *
 * @author zhaoyong
 * @since 2021-05-19
 */
@Repository("mnsMessageTemplateDao")
public class MNSMessageTemplateDaoImpl extends ServiceImpl<MNSMessageTemplateMapper, MNSMessageTemplate> implements MNSMessageTemplateDao {


  @Override
  public MNSMessageTemplate queryByTemplateNo(String templateNo) {
    return this.lambdaQuery()
        .eq(MNSMessageTemplate::getTemplateNo, templateNo)
        .one();
  }
}
